Project

General

Profile

Bug #10078

Architecture #9917: Requires Java8 (jdk8) for Rudder 4.1

Too many dependencies installed for Debian8

Added by François ARMAND 11 months ago. Updated 10 months ago.

Status:
Released
Priority:
2
Category:
System integration
Target version:
Target version (plugin):
Severity:
User visibility:
Effort required:
Priority:

Description

In Debian 8, I get all these packages installed:

==> debian8lite_server: The following extra packages will be installed:
==> debian8lite_server:   apache2 apache2-bin apache2-data apache2-utils ca-certificates-java
==> debian8lite_server:   dbconfig-common dbus dbus-x11 fontconfig fontconfig-config fonts-dejavu-core
==> debian8lite_server:   fonts-dejavu-extra gconf-service gconf2 gconf2-common gnome-mime-data
==> debian8lite_server:   hicolor-icon-theme java-common libapache2-mod-wsgi libapr1 libaprutil1
==> debian8lite_server:   libaprutil1-dbd-sqlite3 libaprutil1-ldap libasound2 libasound2-data
==> debian8lite_server:   libasyncns0 libatk-wrapper-java libatk-wrapper-java-jni libatk1.0-0
==> debian8lite_server:   libatk1.0-data libavahi-client3 libavahi-common-data libavahi-common3
==> debian8lite_server:   libavahi-glib1 libbonobo2-0 libbonobo2-common libcairo2 libcanberra0
==> debian8lite_server:   libcap-ng0 libcups2 libdatrie1 libdbus-1-3 libdbus-glib-1-2 libdrm-intel1
==> debian8lite_server:   libdrm-nouveau2 libdrm-radeon1 libdrm2 libelf1 libflac8 libfontconfig1
==> debian8lite_server:   libfreetype6 libgconf-2-4 libgconf2-4 libgdk-pixbuf2.0-0
==> debian8lite_server:   libgdk-pixbuf2.0-common libgif4 libgl1-mesa-dri libgl1-mesa-glx
==> debian8lite_server:   libglapi-mesa libglib2.0-0 libglib2.0-data libgnome-2-0 libgnome2-0
==> debian8lite_server:   libgnome2-bin libgnome2-common libgnomevfs2-0 libgnomevfs2-common
==> debian8lite_server:   libgnomevfs2-extra libgraphite2-3 libgtk2.0-0 libgtk2.0-bin libgtk2.0-common
==> debian8lite_server:   libharfbuzz0b libice6 libjasper1 libjbig0 libjpeg62-turbo liblcms2-2
==> debian8lite_server:   libllvm3.5 liblua5.1-0 libnspr4 libnss3 libogg0 liborbit-2-0 libpango-1.0-0
==> debian8lite_server:   libpangocairo-1.0-0 libpangoft2-1.0-0 libpciaccess0 libpcsclite1
==> debian8lite_server:   libpixman-1-0 libpng12-0 libpq5 libpulse0 libpython2.7 libpython2.7-minimal
==> debian8lite_server:   libpython2.7-stdlib libsm6 libsndfile1 libtdb1 libthai-data libthai0
==> debian8lite_server:   libtiff5 libtxc-dxtn-s2tc0 libvorbis0a libvorbisenc2 libvorbisfile3 libx11-6
==> debian8lite_server:   libx11-data libx11-xcb1 libxau6 libxcb-dri2-0 libxcb-dri3-0 libxcb-glx0
==> debian8lite_server:   libxcb-present0 libxcb-render0 libxcb-shm0 libxcb-sync1 libxcb1
==> debian8lite_server:   libxcomposite1 libxcursor1 libxdamage1 libxdmcp6 libxext6 libxfixes3 libxi6
==> debian8lite_server:   libxinerama1 libxrandr2 libxrender1 libxshmfence1 libxtst6 libxxf86vm1 ncf
==> debian8lite_server:   ncf-api-virtualenv openjdk-8-jre openjdk-8-jre-headless postgresql
==> debian8lite_server:   postgresql-9.4 postgresql-client postgresql-client-9.4
==> debian8lite_server:   postgresql-client-common postgresql-common python2.7 python2.7-minimal
==> debian8lite_server:   rsyslog rsyslog-pgsql rudder-agent rudder-inventory-endpoint
==> debian8lite_server:   rudder-inventory-ldap rudder-jetty rudder-reports rudder-server-relay
==> debian8lite_server:   rudder-techniques rudder-webapp shared-mime-info ssl-cert uuid-runtime
==> debian8lite_server:   x11-common xdg-user-dirs

Clearly, there is a lot of Xorg related crap that I don't want. Most likely, there is a dependency toward openjdk-8-jre, and not openjdk-8-jre-headless.

Associated revisions

Revision 6ae855ce
Added by Benoît PECCATTE 11 months ago

Fixes #10078: Too many dependencies installed for Debian8

History

#1 Updated by Benoît PECCATTE 11 months ago

  • Status changed from New to In progress
  • Assignee set to Benoît PECCATTE

#2 Updated by Benoît PECCATTE 11 months ago

  • Status changed from In progress to Pending technical review
  • Assignee changed from Benoît PECCATTE to Alexis MOUSSET
  • Pull Request set to https://github.com/Normation/rudder-packages/pull/1228

#3 Updated by Benoît PECCATTE 11 months ago

  • Status changed from Pending technical review to Pending release
  • % Done changed from 0 to 100

#4 Updated by Vincent MEMBRÉ 11 months ago

  • Parent task set to #9917

#5 Updated by Vincent MEMBRÉ 10 months ago

  • Status changed from Pending release to Released

This bug has been fixed in Rudder 4.1.0 which was released today.

Also available in: Atom PDF